## flycheck-package 0.14

=== Makefile ===
EMACS ?= emacs

# A space-separated list of required package names
NEEDED_PACKAGES = package-lint flycheck

INIT_PACKAGES="(progn \
  (require 'package) \
  (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
  (package-initialize) \
  (dolist (pkg '(${NEEDED_PACKAGES})) \
    (unless (package-installed-p pkg) \
      (unless (assoc pkg package-archive-contents) \
        (package-refresh-contents)) \
      (package-install pkg))) \
  )"

all: compile package-lint clean-elc

package-lint:
	${EMACS} -Q --eval ${INIT_PACKAGES} -batch -f package-lint-batch-and-exit flycheck-package.el

compile: clean-elc
	${EMACS} -Q --eval ${INIT_PACKAGES} -L . -batch -f batch-byte-compile *.el

clean-elc:
	rm -f f.elc

.PHONY:	all compile clean-elc package-lint

## flycheck-package 0.12

=== debian/changelog ===
flycheck-package (0.12-2) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:41:07 +0500

flycheck-package (0.12-1) unstable; urgency=medium

  * Initial release (Closes: #878444)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 13 Oct 2017 23:22:24 +0500

=== debian/control ===
Source: flycheck-package
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/purcell/flycheck-package
Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck-package
Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck-package.git

Package: elpa-flycheck-package
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: flycheck checker for Elisp package authors
 This package provides a flycheck checker for the metadata in Emacs
 Lisp files which are intended to be packages. That metadata includes
 the package description, its dependencies and more. The checks are
 performed by the separate package-lint library.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flycheck-package-$1.tar.gz%" \
             https://github.com/purcell/flycheck-package/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## flycheck-package 0.13

=== debian/changelog ===
flycheck-package (0.13-1) unstable; urgency=medium

  * New upstream version 0.13
  * Refresh patches
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 27 Feb 2020 21:41:07 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/purcell/flycheck-package
 Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck-package

## flycheck-package 0.14

=== debian/changelog ===
flycheck-package (0.14-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:35:28 +0900

flycheck-package (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * Refresh patches
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 23 Aug 2021 18:21:21 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/purcell/flycheck-package
 Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck-package
